vertx-lang-scala-docs_2.12 3.5.2.CR2 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package io
  Definition Classes
    root
-  package vertx
  Definition Classes
    io
-  package scala
  Definition Classes
    vertx
-  package ext
  Definition Classes
    scala
-  package hawkular
  Definition Classes
    ext
- AuthenticationOptions
- MetricTagsMatch
- VertxHawkularOptions

c

io.vertx.scala.ext.hawkular

# VertxHawkularOptions 

###
Companion object VertxHawkularOptions

#### class VertxHawkularOptions extends MetricsOptions

Vert.x Hawkular monitoring configuration.

Linear Supertypes
MetricsOptions, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VertxHawkularOptions
2. MetricsOptions
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new VertxHawkularOptions(_asJava: ext.hawkular.VertxHawkularOptions)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def asJava: ext.hawkular.VertxHawkularOptions
   Definition Classes
     VertxHawkularOptions → MetricsOptions
6.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  def getAuthenticationOptions: AuthenticationOptions
11.  def getBatchDelay: Int
12.  def getBatchSize: Int
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def getDisabledMetricsTypes: Set[MetricsType]
15.  def getHost: String
16.  def getHttpHeaders: JsonObject
17.  def getHttpOptions: HttpClientOptions
18.  def getMetricTagsMatches: Buffer[MetricTagsMatch]
19.  def getMetricsBridgeAddress: String
20.  def getMetricsServiceUri: String
21.  def getPort: Int
22.  def getPrefix: String
23.  def getSchedule: Int
24.  def getTaggedMetricsCacheSize: Int
25.  def getTags: JsonObject
26.  def getTenant: String
27.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
28.  def isEnabled: Boolean
    Definition Classes
      VertxHawkularOptions → MetricsOptions
29.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
30.  def isMetricsBridgeEnabled: Boolean
31.  def isSendTenantHeader: Boolean
32.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
33.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
34.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
35.  def setAuthenticationOptions(value: AuthenticationOptions): VertxHawkularOptions

    Set the options for authentication.

36.  def setBatchDelay(value: Int): VertxHawkularOptions

    Set the maximum delay between two consecutive batches (in seconds).

    Set the maximum delay between two consecutive batches (in seconds). To reduce the number of HTTP exchanges, metric data is sent to the Hawkular server in batches. A batch is sent as soon as the number of metrics collected reaches the configured `batchSize`, or after the `batchDelay` expires. Defaults to `1` second.

37.  def setBatchSize(value: Int): VertxHawkularOptions

    Set the maximum number of metrics in a batch.

    Set the maximum number of metrics in a batch. To reduce the number of HTTP exchanges, metric data is sent to the Hawkular server in batches. A batch is sent as soon as the number of metrics collected reaches the configured `batchSize`, or after the `batchDelay` expires. Defaults to `50`.

38.  def setDisabledMetricsTypes(value: Set[MetricsType]): VertxHawkularOptions

    Sets metrics types that are disabled.

39.  def setEnabled(value: Boolean): VertxHawkularOptions

    Set whether metrics will be enabled on the Vert.x instance.

    Set whether metrics will be enabled on the Vert.x instance. Metrics are not enabled by default.

    Definition Classes
      VertxHawkularOptions → MetricsOptions
40.  def setHost(value: String): VertxHawkularOptions

    Set the Hawkular Metrics service host.

    Set the Hawkular Metrics service host. Defaults to `localhost`.

41.  def setHttpHeaders(value: JsonObject): VertxHawkularOptions

    Set specific headers to include in HTTP requests.

42.  def setHttpOptions(value: HttpClientOptions): VertxHawkularOptions

    Set the configuration of the Hawkular Metrics HTTP client.

43.  def setMetricTagsMatches(value: Buffer[MetricTagsMatch]): VertxHawkularOptions

    Sets a list of MetricTagsMatch.

44.  def setMetricsBridgeAddress(value: String): VertxHawkularOptions

    Sets the metric bridge address on which the application is sending the custom metrics.

    Sets the metric bridge address on which the application is sending the custom metrics. Application can send metrics to this event bus address. The message is a JSON object specifying at least the `id` and `value` fields.

    Don't forget to also enable the bridge with `metricsBridgeEnabled`.

45.  def setMetricsBridgeEnabled(value: Boolean): VertxHawkularOptions

    Sets whether or not the metrics bridge should be enabled.

    Sets whether or not the metrics bridge should be enabled. The metrics bridge is disabled by default.

46.  def setMetricsServiceUri(value: String): VertxHawkularOptions

    Set the Hawkular Metrics service URI.

    Set the Hawkular Metrics service URI. Defaults to `/hawkular/metrics`. This can be useful if you host the Hawkular server behind a proxy and manipulate the default service URI.

47.  def setPort(value: Int): VertxHawkularOptions

    Set the Hawkular Metrics service port.

    Set the Hawkular Metrics service port. Defaults to `8080`.

48.  def setPrefix(value: String): VertxHawkularOptions

    Set the metric name prefix.

    Set the metric name prefix. Metric names are not prefixed by default. Prefixing metric names is required to distinguish data sent by different Vert.x instances.

49.  def setSchedule(value: Int): VertxHawkularOptions

    Set the metric collection interval (in seconds).

    Set the metric collection interval (in seconds). Defaults to `1`.

50.  def setSendTenantHeader(value: Boolean): VertxHawkularOptions

    Set whether Hawkular tenant header should be sent.

    Set whether Hawkular tenant header should be sent. Defaults to `true`. Must be set to `false` when working with pre-Alpha13 Hawkular servers.

51.  def setTaggedMetricsCacheSize(value: Int): VertxHawkularOptions

    Set the number of metric names to cache in order to avoid repeated tagging requests.

52.  def setTags(value: JsonObject): VertxHawkularOptions

    Set tags applied to all metrics.

53.  def setTenant(value: String): VertxHawkularOptions

    Set the Hawkular tenant.

    Set the Hawkular tenant. Defaults to `default`.

54.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
55.  def toString(): String
    Definition Classes
      AnyRef → Any
56.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
57.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
58.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from MetricsOptions

### Inherited from AnyRef

### Inherited from Any

### Ungrouped